Автор Тема: adobe flash player  (Прочитано 12595 раз)

Оффлайн EntWurf_NKVZ

  • Давно тут
  • **
  • Сообщений: 31
    • Email
adobe flash player
« : 14.06.2013 13:49:23 »
Здравствуйте. Какая будет судьба у Linux и соответсвенно  у Alt Linux в связи с прекращением поддержи компании "adobe" linux систем adobe flash player'ом? А в наше время сами понимаете что без него ни как.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 576
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: adobe flash player
« Ответ #1 : 14.06.2013 20:04:57 »
Обычная - будем обходиться 12-ой, а там или 5-й html начнётся. или кто-то свободную версию выпустит.

Оффлайн EntWurf_NKVZ

  • Давно тут
  • **
  • Сообщений: 31
    • Email
Re: adobe flash player
« Ответ #2 : 15.06.2013 03:11:57 »
Ну будем надеяться на хороший исход. ))) а то я новый пользователь линукса и и он мне по душе.

Оффлайн unihorn

  • Давно тут
  • **
  • Сообщений: 354
Re: adobe flash player
« Ответ #3 : 15.06.2013 05:50:26 »
Чтобы иметь в Линуксе возможность использовать флеш плагин последних версий (после отказа Адобом поддерживать флеш под Линуксом) надо Поставить Гугл Хром (НЕ ХРОМИУМ). В нем последняя версия флеша.

Гугл Хром единственный браузер для Линукса ее поддерживающий. Остальные браузеры используют лишь уже (будем называть вещи своими именами) неподдерживаемую, старую, версию плагина...

У Гугла с Адобом особые соглашения (и Адоб, под Линуксом, поддерживает версию флеша только для Гугл Хрома). Внимание: Только Гугл Хром, ХРОМИУМ НЕ ПОДДЕРЖИВАЕТ последний флеш под Линуксом (в Хромиуме, его, можно прикрутить лишь похимичив (большим напильником) с уже установленным Гугл Хромом; иначе никак).

Скачайте с офсайта rpm Гугл Хрома (в зависимости от вашей системы 32 или 64 битную): https://www.google.com/intl/ru/chrome/browser/?hl=ru&brand=CHMI .

Инициируете (но не соглашатесь на ее продолжение) установку посредством apt-get instal дабы посмотреть требуемые зависимости (если-бы не конфликты с с папкой Крона почти рабочая под Alt Linux rpm-ка).

Можно сделать так: в папке куда скачали rpm-ку сделать apt-get instal ./rpm_гугл_хрома > list.txt, и, затем, нажать ctrl+c (в list.txt будет вывод всех зависимостей которые, потом, можно будет подредактировать в скрипт или список зависимостей Cинаптика)

Отдельно поставьте эти зависимости любым удобным вам способом. Во вложение я дал список зависимостей Синаптика для использования в Сизифе (должно сработать и для P7).

Распакуйте rpm-ку в  /opt

Сделайте симлинк исполняемого файла (в нашем случае /opt/google/chrome/google-chrome) в /usr/bin (под тем же именем (google-chrome сиречь)).

Выставьте файлу /opt/google/chrome/chrome-sandbox, в правах, бит SUID (коли сбросился при распаковке: такое бывает при распаковке в KDE кедовыми архиваторами - гномские все оставляют как надо, а кеды, вообще, любят странные игры с правами).

Поместите в папку /usr/share/applications desktop файл Хрома (можно воспользоваться образцом уже имеющимся в /opt/google/chrome/ подправив в нем путь до иконки Гугл Хрома).

Далее делаем контрольный запуск google-chrome из терминала. Гугл Хром будет ругаться на отсутствие bz2-шной (или bz-шной, не помню точно) либы (она в системе есть, просто имеет другое имя).

Ищем оную либу (по имени без расширения) в /lib или /lib64 в зависимости от того 32-х или 64-х битная у вас система (это для бранча P7, в P6, коли память не изменяет, надо искать, соответственно, в /usr/lib или /usr/lib64: в обшем ищите и там, и там, и найдете).

Когда находим нужную либу, делаем с нее симлинк (в туже папку где мы ее нашли) под требуемым Гугл Хромом именем и расширением.

Все. Наслаждаемся Гугл Хромом запуская оный, как полагается, из меню "типа Все Программы" вашей рабочестольной среды.

В настройках Гугл Хрома (about:plugins) отрубаем старый флеш оставляя только новый во избежание возможных глюков (по умолчанию включены оба).

Если кому сей "мануал" понравился (и он имеет какую-нибудь ценность) перенесите его куда-нибудь в более подходящее место.

*********************

А по поводу же HTML5... Во первых его "победное шествие" несколько "преувеличено". Во вторых огромное количество контента на HTML 5 (как бы это не было забавно и грустно) не совместимо с Линуксом (а создано для IOS, Mac OS, Андрида, и Windows). Так что, по ходу, "кросплатформенность" HTML 5 включает что угодно, но только не Линукс (и, боюсь, так будет и впредь...).

Не говоря уже о том, что HTML 5 не совместим с уже имеющимся флеш контентом. И, при этом, от флеша отказываться не спешат: наоборот, клепают все больше и больше флешконтента....

Старый же флеш уже глючит на многих интернет ресурсах (даже на Ю Тубе, на ряде Видео, он уже, частенько, крешит (а то и намертво вешает) систему)...
« Последнее редактирование: 15.06.2013 06:14:18 от unihorn »
Мир ищу, где волки агнцам служат,
И нету слуг верней. Где слезы никого не душат. Не ведают смертей.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 7 733
  • UNIX System V init
Re: adobe flash player
« Ответ #4 : 15.06.2013 08:30:05 »
Распакуйте rpm-ку в  /opt
Я б лучше так:
http://forum.altlinux.org/index.php/topic,11040.msg144701.html#msg144701

Сделайте симлинк исполняемого файла (в нашем случае /opt/google/chrome/google-chrome) в /usr/bin
/usr/local/bin - есть в переменной $PATH
Для не через пакетный менеджер.
Иначе потихоньку превратится в помойку.

Ищем оную либу (по имени без расширения) в /lib или /lib64 в зависимости от того 32-х или 64-х битная у вас система (это для бранча P7, в P6, коли память не изменяет, надо искать, соответственно, в /usr/lib или /usr/lib64: в обшем ищите и там, и там, и найдете).
Когда находим нужную либу, делаем с нее симлинк (в туже папку где мы ее нашли) под требуемым Гугл Хромом именем и расширением.
Если на эту либу уже есть симлинк, лучше на симлинк. Иначе при первом же dist-upgrade симлинк может сломаться при влёте либы другой версии.

Несмотря на выставленный SUID-бит, хром может отказаться запускаться.
На свой страх и риск его можно толкнуть и так:
google-chrome -no-sandbox
google-chrome --no-sandbox

Он одинаково это понимает:
Running without renderer sandbox
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 441
Re: adobe flash player
« Ответ #5 : 15.06.2013 09:18:07 »
в связи с прекращением поддержи компании "adobe" linux систем adobe flash player'ом? А в наше время сами понимаете что без него ни как.
Откуда такая информация?
Он не развивается, но поддерживается (еще 10.3 на поддержке).
Вот 11 июня 2013 обновление вышло.
https://www.adobe.com/support/security/bulletins/apsb13-16.html
Или вы столкнулись с проблемой что 11.2 староват?


Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 576
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: adobe flash player
« Ответ #6 : 15.06.2013 09:47:45 »
Откуда такая информация?
Он не развивается, но поддерживается (еще 10.3 на поддержке).
Вот 11 июня 2013 обновление вышло.
https://www.adobe.com/support/security/bulletins/apsb13-16.html
Или вы столкнулись с проблемой что 11.2 староват?


ПРИМЕЧАНИЕ. Adobe Flash Player 11.2 будет последней версией, поддерживающей Linux в качестве платформы. Adobe будет продолжать обеспечивать ретроподдержку безопасности Flash Player 11.2 для Linux.


Чтобы иметь в Линуксе возможность использовать флеш плагин последних версий (после отказа Адобом поддерживать флеш под Линуксом) надо Поставить Гугл Хром (НЕ ХРОМИУМ). В нем последняя версия флеша.

Гугл Хром единственный браузер для Линукса ее поддерживающий. Остальные браузеры используют лишь уже (будем называть вещи своими именами) неподдерживаемую, старую, версию плагина...
.....

Старый же флеш уже глючит на многих интернет ресурсах (даже на Ю Тубе, на ряде Видео, он уже, частенько, крешит (а то и намертво вешает) систему)...

Зачем так сложно, если везде и в Хроме, и в репозитарии ALT Linux всё та-же версия  11.2.202.291

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 576
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: adobe flash player
« Ответ #7 : 15.06.2013 09:52:07 »
Извиняюсь, у нас 11.2.202.285 http://packages.altlinux.org/ru/Sisyphus/srpms/adobe-flash-player/spec, но это временно, скоро догонят :)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 861

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 441
Re: adobe flash player
« Ответ #9 : 15.06.2013 14:03:35 »
ПРИМЕЧАНИЕ. Adobe Flash Player 11.2 будет последней версией, поддерживающей Linux в качестве платформы. Adobe будет продолжать обеспечивать ретроподдержку безопасности Flash Player 11.2 для Linux.
Ну дак и что - мне главное что дыры в решете латают...
Я пока не сталкивался что 11.2 где-то не хватало... Поэтому сам номер меня не беспокоит...

Зачем так сложно, если везде и в Хроме, и в репозитарии ALT Linux всё та-же версия  11.2.202.291
В хроме 11.7.700.203
« Последнее редактирование: 15.06.2013 14:05:29 от YYY »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 17 060
    • Домашняя страница
    • Email
Re: adobe flash player
« Ответ #10 : 15.06.2013 17:35:22 »
К Chromium можно без проблем подключить plug-in'ы flash и pdf от chrome.
https://aur.archlinux.org/packages/ch/chromium-pepper-flash-stable/PKGBUILD
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-plugins/chrome-binary-plugins/chrome-binary-plugins-28.0.1500.45_beta205727.ebuild?view=markup
За ссылки спасибо, посмотрю, как это с Chromium можно подружить...
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 861
Re: adobe flash player
« Ответ #11 : 15.06.2013 18:06:43 »
К Chromium можно без проблем подключить plug-in'ы flash и pdf от chrome.
https://aur.archlinux.org/packages/ch/chromium-pepper-flash-stable/PKGBUILD
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/www-plugins/chrome-binary-plugins/chrome-binary-plugins-28.0.1500.45_beta205727.ebuild?view=markup
За ссылки спасибо, посмотрю, как это с Chromium можно подружить...
в сизиф вы это не засуните, т.к. лицензию на редистрибьюцию chrome надо.

Оффлайн unihorn

  • Давно тут
  • **
  • Сообщений: 354
Re: adobe flash player
« Ответ #12 : 15.06.2013 21:00:14 »
В принципе предоставленный мною (и любезно уточненный Speccyfighter-ом) "алгоритм" можно, имхо, использовать для установки Гугл Хрома в Альт Линуксе...

Положить в реп rpm-ку "полупустышку" качающую с офсайта rpm и обрабатываюшую ее выше названным способом... И таким образом мы сможем поставить Гугл Хром. С лицензией, в этом случае, вроде, все в порядке...

Возможно даже автообновление можно будет обеспечить (сделать, скажем, в init.d службу которая, при запуске системы, будет проверять обновления и ставить их вышеназванныv способом (но с таким, пока, не эксперементировал))

Можно, конечно, подобной "полупустышкой" качать Гугл Хром дабы подключить "его флеш и иже с ним" в Хромиум, а, затем, удалять все лишнее оставляя от Гугл Хрома только "флеш и иже с ним"... Но не знаю насколько это лицензионно будет. Фиг его зна... Боюсь, Хром придется оставить... А имея Хром резко падает (для большинства людей) смысл в Хромиуме...

А раз так, то, по мне, лучше сразу Хром ставить и не мучатся с напильником пытаясь подрубить его флеш и иже с ним в Хромиуме...

Хотя если делать Хромиум браузером по умолчанию (как в новой Бунте планируют), боюсь, придется мирится с параллельно установленным Гул Хромом (коли новый флеш надобен (а он очень многим надобен (как минимум из среды домашних юзеров)), а принцип "либо Хром, либо Хромиум" (при установке одного из них удаляется другое) не желателен)...
« Последнее редактирование: 15.06.2013 21:29:25 от unihorn »
Мир ищу, где волки агнцам служат,
И нету слуг верней. Где слезы никого не душат. Не ведают смертей.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 17 060
    • Домашняя страница
    • Email
Re: adobe flash player
« Ответ #13 : 16.06.2013 00:25:12 »
В принципе предоставленный мною (и любезно уточненный Speccyfighter-ом) "алгоритм" можно, имхо, использовать для установки Гугл Хрома в Альт Линуксе...
Проще взять качалки от Arch и Gentoo.
Цитировать
Возможно даже автообновление можно будет обеспечить (сделать, скажем, в init.d службу которая, при запуске системы, будет проверять обновления и ставить их вышеназванныv способом (но с таким, пока, не эксперементировал))
Ну это избыточно. Мне проще при сборке новой версии Chromium обновить и пакет-качалку (чтобы версии совпадали). Потому что если разъедутся — велика вероятность неработоспособности скаченных библиотек.
Цитировать
А имея Хром резко падает (для большинства людей) смысл в Хромиуме...
Не скажите.
1. обновлять кто Chrome будет? А Chromium штатным образом обновляется.
2. Chromium по максимуму использует разделяемые системные библиотеки, которые тоже быстрее Chrome обновляются. Да и памяти меньше кушают.
Цитировать
А раз так, то, по мне, лучше сразу Хром ставить и не мучатся с напильником пытаясь подрубить его флеш и иже с ним в Хромиуме...
А не надо мучатся. Вот у меня и видео и приложения флешевые работают. Хотя у меня вообще p6 (а сейчас стабильный репозиторий — p7).
Цитировать
коли новый флеш надобен (а он очень многим надобен (как минимум из среды домашних юзеров)
Ну покажите хотя бы пару приложений, которые бы не работали в старом флеше. Мне уже любопытно стало.
Андрей Черепанов (cas@)

Оффлайн unihorn

  • Давно тут
  • **
  • Сообщений: 354
Re: adobe flash player
« Ответ #14 : 16.06.2013 01:54:54 »
Проще взять качалки от Arch и Gentoo.

Без разницы (коли они подходят, и не требуют особой правки под Альт). Мой "алгоритм" просто, сразу, сделан конкретно под Альт со всеми его особенностями (и его можно банально запендюрить в спек). Если можно иначе (особенно если получится все сделать в рамках процесса установки пакета без дополнительных телодвижений в виде необходимости запуска после оного еще чего-либо), то бога ради.

Ну покажите хотя бы пару приложений, которые бы не работали в старом флеше. Мне уже любопытно стало.

Ютуб? :)

Особенно на Фулл HD вешает систему через раз. Намертво (даже мышь). Спасает только кнопка reset.

Часто глючит Вконтактовское Видео вышеназванным образом.

И это только видео.

Вконтактовские игры существенно (по сравнению с новым флешем) подтормаживают (хотя ситуация и лучше чем с 10 версией (которая вообще слайдшоуила), но, тем не менее). Про артефакты и подобное (и весь гемор с ними) уже молчу. Ну и, конечно-же, как и в случае с Видео: через раз намертво вещающаяся система (или, в лучшем случае, частый креш плагина (это если повезет и он просто скрешится, а не систему завесит))...

Плюс другие глюки по мелочи: скажем на некоторых машинах могут быть различные проблемы с флешовым режимом полного экрана...

И не важно старая машина, или новая.

Достаточно примеров? :)

обновлять кто Chrome будет?

Можно и вручную (благо, что-бы там Гугл не болтал, большой необходимости регулярно обновлять Хром нет).

Ну или сделать "избыточное" (да, возможен ряд проблем при реализации "идеи", но, в целом, идея рабочая).

А можно и как вы предлагаете: обновлять "пакет качалку-устанавлялку" вместе с версией Хромиума (компромисный вариант между вышеназванными). Но, имхо, по любому, их стоит сделать разными пакетами (на случай если Хромиум никто ставить не захочет), но обновлять да: вместе.

Не суть важно.

Ибо
Флеш необходим большинству людей (как минимум домашним юзерам). Согласно моему опыту, люди перешедшие на Линукс готовы мирится с отсутствием нормального запуска виндового софта и игр, но не с отсутствием Флеша.

И если планшетам-смартам такое еще могут простить (так-как они воспринимаются как правило лишь как урезанная версия "большого Компа" (удобная но урезанная) а то и вообще как забавная игрушка). То на большом компеу... И то, даже на планшетах полно возмущающихся отсутствием флеша. Настолько полно, что даже Эплы вынуждены были пойти на некоторые послабления (пускай только для видео); а про удаление флеша с Макоси они даже не заикаются (ибо их, за такое, убьют на месте)...

А разделяемые либы или нет, большинству людей начхать (общая ресурсоемкость (и разница между ней), даже на не самом крутом компе, как минимум если мерить на лаз (а не "крутыми тестами и сканерами"), не велика).

И поэтому большинство нормальных людей выберут Хром а не Хромиум (ибо получат тот-же Хромиум (с незаметной невооруженным взглядом изменением производительности) и большим количеством безгеморно работающих функций (что для большинства людей важнее)...

Вот если Хромиум будет дефолтным Брузером, тогда да (благо Лис начал портится, что замечают даже его давние поклонники)...

Допускаю, что, в этом случае, придется мирится с необходимостью установки второго браузера (Гугл Хром) для поключения толстым напильником плагинов из него... (Коли политика "либо Хром, либо Хромиум, а вместе ни как" нежелательна)...

И то, большинство будут юзать Хром, а "лишний Хромиум" удалят на фиг (благо Хром лишь тестовая лаборатория для Хрома (и база для хромированных браузеров типа Яндексовлго, новой Оперы, и иже с ними), и сам по себе, вне этого, значения не имеет)...
« Последнее редактирование: 16.06.2013 03:16:24 от unihorn »
Мир ищу, где волки агнцам служат,
И нету слуг верней. Где слезы никого не душат. Не ведают смертей.